# Use official node image as the base image
FROM node:8.9 as build

# Set the working directory
WORKDIR /usr/local/app

# Add the source code to app
COPY ./ /usr/local/app/

RUN apt install -y python

# Install all the dependencies
RUN cd /usr/local/app/ && npm install && npm run build